ru.bitel.bgbilling.modules.bill.server.events

## Class BillCreatedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.modules.bill.server.events.BillCreatedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class BillCreatedEvent
      extends QueueEvent

  Асинхронное событие - создан счет.
  Событие генерируется при создании счета в модуле. Используется для скриптов.
  Унаследовано от `QueueEvent`
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BillCreatedEvent()`
    `` | `BillCreatedEvent(int userId, int mid, int cid, int billId)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBillId()` Возвращает идентификатор счета.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, prepareMessage, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BillCreatedEvent

          protected BillCreatedEvent()

    - #### BillCreatedEvent

          public BillCreatedEvent(int userId,
                                  int mid,
                                  int cid,
                                  int billId)

      Конструктор события.
      Parameters:
        `userId` - - id пользователя, сгенерировавшего событие
        `mid` - - код модуля
        `cid` - - код договора
        `billId` - - код счета в таблице bill_data_{mid}

  - ### Method Detail

    - #### getBillId

          public int getBillId()

      Возвращает идентификатор счета.
      Returns:
        billId - идентификатор счета (id в таблице bill_data_{mid})